Instance Groups
- POST /compute/vms/instance-groups/create
Create instance group
Create a new VM instance group for organizing virtual machines
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- DELETE /compute/vms/instance-groups/delete
Delete instance group
Delete an existing VM instance group by ID
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /compute/vms/instance-groups/getByID
Get instance group by ID
Retrieve a VM instance group by its unique identifier
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /compute/vms/instance-groups/getByName
Get instance group by name
Retrieve a VM instance group by its name
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /compute/vms/instance-groups/list
List instance groups
Get a list of VM instance groups with optional filters
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /compute/vms/instance-groups/update
Update instance group
Rename an existing VM instance group
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error